Get department information
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.
Get department information through organization code and department ID or department code, and you can get custom data.
Method name
ManagementClient.get_department
Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| organizationCode | string | No | - | Organization code | steamory |
| departmentId | string | No | - | Department ID, pass root for the root department. Either departmentId or departmentCode must be passed. | root |
| departmentCode | string | No | - | Department code. Either departmentId or departmentCode must be passed. | example |
| departmentIdType | string | no | department_id | The type of department ID used in this call | department_id |
| withCustomData | boolean | no | - | Whether to obtain custom data | true |
| flatCustomData | boolean | no | - | Whether to flatten the extension field | |
| tenantId | string | no | - | Tenant ID | 623c20b2a062aaaaf41b17da |
Request Response
Type: DepartmentSingleRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
| data | <a DepartmentDto | Response data |
Sample result:
json
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"organizationCode": "steamory",
"departmentId": "60b49eb83fd80adb96f26e68",
"createdAt": "2022-07-03T03:20:30.000Z",
"updatedAt": "2022-07-03T03:20:30.000Z",
"openDepartmentId": "ou_7dab8a3d3cdccxxxxxx777c7ad535d62",
"name": "RD",
"leaderUserIds": "[\"60b49eb83fd80adb96f26e68\"]",
"description": "RD Desc",
"parentDepartmentId": "6229c4deb3e4d8a20b6021ff",
"code": "6229c4deb3e4d8a20b6021ff",
"parentDepartmentCode": "test",
"membersCount": 11,
"hasChildren": true,
"i18n": {
"name": {
"zh-CN": {
"enabled": false,
"value": "中文"
},
"en-US": {
"enabled": false,
"value": "English"
}
}
},
"customData": {
"icon": "https://example.com/logo"
},
"postIdList": "[\"xxx\"]",
"status": "false",
"allow": "[\"xxx\"]"
}
}Data Structure
DepartmentDto
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| organizationCode | string | Yes | Organization Code (organizationCode) | steamory |
| departmentId | string | Yes | Department system ID (automatically generated by the GenAuth system, cannot be modified) | 60b49eb83fd80adb96f26e68 |
| createdAt | string | Yes | Department creation time | 2022-07-03T03:20:30.000Z |
| updatedAt | string | No | Modification time | 2022-07-03T03:20:30.000Z |
| openDepartmentId | string | No | Custom department ID, used to store custom IDs | ou_7dab8a3d3cdccxxxxxx777c7ad535d62 |
| name | string | Yes | Department name | Development Department |
| leaderUserIds | array | No | Department head ID | ["60b49eb83fd80adb96f26e68"] |
| description | string | No | Department description | Technical R&D Department |
| parentDepartmentId | string | Yes | Parent department ID, if it is the root department, pass root | 6229c4deb3e4d8a20b6021ff |
| code | string | No | Department identification code | 6229c4deb3e4d8a20b6021ff |
| parentDepartmentCode | string | yes | parent department code | test |
| membersCount | number | yes | number of department members (only direct members) | 11 |
| hasChildren | boolean | yes | whether to include child departments | true |
| isVirtualNode | boolean | No | Is it a virtual department? | |
| i18n | No | Multi-language settings Nested type: <a DepartmentI18nDto. | {"name":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}} | |
| customData | object | No | Extended field data of the department | {"icon":"https://example.com/logo"} |
| posts | array | No | Positions associated with the department | |
| postIdList | array | No | Position id list | ["xxx"] |
| status | boolean | No | Department status | false |
| allow | string | No | Access restrictions | ["xxx"] |
DepartmentI18nDto
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| name | Yes | Multi-language-supported fields Nested type: <a LangObject. | {"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}} |
LangObject
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| zh-CN | Yes | Multilingual Chinese content Nested type: <a LangUnit. | {"enabled":false,"value":"中文"} | |
| en-US | Yes | Multilingual English content Nested type: <a LangUnit. | {"enabled":false,"value":"English"} | |
| zh-TW | Yes | Multilingual Traditional Chinese content Nesting type: <a LangUnit. | {"enabled":false,"value":"繁體中文"} | |
| ja-JP | Yes | Multilingual Japanese content Nesting type: <a LangUnit. | {"enabled":false,"value":"日本語"} |
LangUnit
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| enabled | boolean | yes | Whether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Default is off) | |
| value | string | yes | Multilingual content |